Bug 1640102 (CVE-2018-17466) - CVE-2018-17466 chromium-browser, firefox: Memory corruption in Angle
Summary: CVE-2018-17466 chromium-browser, firefox: Memory corruption in Angle
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20181016,repo...
Depends On: 1655361 1660727 1640120 1640121 1640122 1655360 1655362 1660726 1660728 1661346 1667787
Blocks: 1640116 1655358 1660724
TreeView+ depends on / blocked
 
Reported: 2018-10-17 11:24 UTC by Andrej Nemec
Modified: 2019-06-08 23:39 UTC (History)
10 users (show)

Fixed In Version: chromium-browser 70.0.3538.67
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-25 20:59:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3004 None None None 2018-10-24 22:08:34 UTC
Red Hat Product Errata RHSA-2018:3831 None None None 2018-12-17 17:06:32 UTC
Red Hat Product Errata RHSA-2018:3833 None None None 2018-12-17 17:06:50 UTC
Red Hat Product Errata RHSA-2019:0159 None None None 2019-01-24 22:38:12 UTC
Red Hat Product Errata RHSA-2019:0160 None None None 2019-01-24 22:42:15 UTC

Description Andrej Nemec 2018-10-17 11:24:27 UTC
A memory corruption flaw was found in the Angle component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=880906

External References:

https://chromereleases.googleblog.com/2018/10/stable-channel-update-for-desktop.html

Comment 1 Andrej Nemec 2018-10-17 11:36:59 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1640122]
Affects: fedora-all [bug 1640121]

Comment 3 errata-xmlrpc 2018-10-24 22:08:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:3004 https://access.redhat.com/errata/RHSA-2018:3004

Comment 4 Doran Moppert 2018-12-12 03:01:43 UTC
This flaw also affected Firefox 60.3 ESR:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-30/#CVE-2018-17466

Comment 5 errata-xmlrpc 2018-12-17 17:06:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3831 https://access.redhat.com/errata/RHSA-2018:3831

Comment 6 errata-xmlrpc 2018-12-17 17:06:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3833 https://access.redhat.com/errata/RHSA-2018:3833

Comment 8 Doran Moppert 2019-01-21 04:54:11 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 10 errata-xmlrpc 2019-01-24 22:38:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0159 https://access.redhat.com/errata/RHSA-2019:0159

Comment 11 errata-xmlrpc 2019-01-24 22:42:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0160 https://access.redhat.com/errata/RHSA-2019:0160


Note You need to log in before you can comment on or make changes to this bug.